Loading...
Searching...
No Matches
cl::detail::ReferenceHandler< cl_device_id > Struct Reference

`#include <opencl.hpp>`

## Static Public Member Functions

static cl_int | retain (cl_device_id device)
static cl_int | release (cl_device_id device)

## Detailed Description

OpenCL 1.2 devices do have retain/release.

Definition at line 1988 of file opencl.hpp.

## Member Function Documentation

## release()

cl_int cl::detail::ReferenceHandler< cl_device_id >::release | ( | cl_device_id | device | ) |

inline static

Retain the device.

Parameters

  device | A valid device created using createSubDevices

Returns
  CL_SUCCESS if the function executed successfully. CL_INVALID_DEVICE if device was not a valid subdevice CL_OUT_OF_RESOURCES CL_OUT_OF_HOST_MEMORY

Definition at line 2010 of file opencl.hpp.

## retain()

cl_int cl::detail::ReferenceHandler< cl_device_id >::retain | ( | cl_device_id | device | ) |

inline static

Retain the device.

Parameters

  device | A valid device created using createSubDevices

Returns
  CL_SUCCESS if the function executed successfully. CL_INVALID_DEVICE if device was not a valid subdevice CL_OUT_OF_RESOURCES CL_OUT_OF_HOST_MEMORY

Definition at line 1999 of file opencl.hpp.

The documentation for this struct was generated from the following file:

- opencl.hpp